RuntimeExceptionWrapper (Oracle - Berkeley DB Java API)
Date: 2010-08-27

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.1.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.util
Class RuntimeExceptionWrapper

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sleepycat.util.RuntimeExceptionWrapper

All Implemented Interfaces:
  ExceptionWrapper, Serializable

    public class RuntimeExceptionWrapper

extends RuntimeException
implements ExceptionWrapper

A RuntimeException that can contain nested exceptions.

See Also:
  Serialized Form

Constructor Summary
`RuntimeExceptionWrapper(Throwable e)`

Method Summary
`Throwable` | `getDetail()` Deprecated. replaced by `Throwable.getCause()`.
`static RuntimeException` | `wrapIfNeeded(Throwable e)` Wraps the given exception if it is not a `RuntimeException`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.sleepycat.util.ExceptionWrapper
`getCause`

Constructor Detail

### RuntimeExceptionWrapper

    public RuntimeExceptionWrapper(Throwable e)

Method Detail

### wrapIfNeeded

    public static RuntimeException wrapIfNeeded(Throwable e)

  Wraps the given exception if it is not a `RuntimeException`.

  Parameters:
    `e` - any exception.
  Returns:
    `e` if it is a `RuntimeException`, otherwise a `RuntimeExceptionWrapper` for `e`.

### getDetail

    public Throwable getDetail()

  Deprecated. replaced by `Throwable.getCause()`.

  Description copied from interface: `ExceptionWrapper`
  Returns the nested exception or null if none is present.

  Specified by:
    `getDetail` in interface `ExceptionWrapper`
  Returns:
    the nested exception or null if none is present.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.1.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010 Oracle and/or its affiliates. All rights reserved.